Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostDataOfPerson.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostDataOfPerson.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostDataOfPerson.cs	(revision 484)
@@ -193,14 +193,14 @@
 
                 strcmd.AppendFormat("  {0}", work.PersonCode);                      // 担当者コード
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                            , work.ActionDate.ToShortDateString());     // 対象日付
+                                            , work.ActionDate.ToShortDateString()); // 対象日付
                 strcmd.AppendFormat(", {0}", work.DataType);                        // データ区分
                 strcmd.AppendFormat(", {0}", work.DataAddCount);                    // データ追加番号
                 strcmd.AppendFormat(",'{0}'", work.TargetMonth);                    // 対象年月
                 strcmd.AppendFormat(", {0}", work.ConstructionCode);                // 工事番号
                 strcmd.AppendFormat(", {0}", work.SuppliersCode);                   // 支払先コード
-                strcmd.AppendFormat(",'{0}'", work.SuppliersName);                  // 支払先名称
-                strcmd.AppendFormat(",'{0}'", work.PaymentContent);                 // 支払内容
+                strcmd.AppendFormat(", {0}", SeparateString(work.SuppliersName));   // 支払先名称
+                strcmd.AppendFormat(", {0}", SeparateString(work.PaymentContent));  // 支払内容
                 strcmd.AppendFormat(", {0}", work.PaymentType);                     // 支払方法フラグ
                 strcmd.AppendFormat(", {0}", work.EntryPrice);	                    // 金額（税抜）
                 strcmd.AppendFormat(", {0}", work.EntryPriceInTax);	                // 金額（税込）
@@ -256,8 +256,8 @@
                     strcmd.AppendFormat(",'{0}'", work.TargetMonth);                    // 対象年月
                     strcmd.AppendFormat(", {0}", work.ConstructionCode);                // 工事番号
                     strcmd.AppendFormat(", {0}", work.SuppliersCode);                   // 支払先コード
-                    strcmd.AppendFormat(",'{0}'", work.SuppliersName);                  // 支払先名称
-                    strcmd.AppendFormat(",'{0}'", work.PaymentContent);                 // 支払内容
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SuppliersName));   // 支払先名称
+                    strcmd.AppendFormat(", {0}", SeparateString(work.PaymentContent));  // 支払内容
                     strcmd.AppendFormat(", {0}", work.PaymentType);                     // 支払方法フラグ
                     strcmd.AppendFormat(", {0}", work.EntryPrice);	                    // 金額（税抜）
                     strcmd.AppendFormat(", {0}", work.EntryPriceInTax);	                // 金額（税込）
@@ -309,8 +309,8 @@
                 strcmd.AppendFormat(",TargetMonth = '{0}'", data.TargetMonth);              // 対象年月
                 strcmd.AppendFormat(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd.AppendFormat(",SuppliersCode = {0}", data.SuppliersCode);            // 支払先コード
-                strcmd.AppendFormat(",SuppliersName = '{0}'", data.SuppliersName);          // 支払先名称
-                strcmd.AppendFormat(",PaymentContent = '{0}'", data.PaymentContent);        // 支払内容
+                strcmd.AppendFormat(",SuppliersName = {0}", SeparateString(data.SuppliersName));    // 支払先名称
+                strcmd.AppendFormat(",PaymentContent = {0}", SeparateString(data.PaymentContent));  // 支払内容
                 strcmd.AppendFormat(",PaymentType = {0}", data.PaymentType);                // 支払方法フラグ
                 strcmd.AppendFormat(",EntryPrice = {0}", data.EntryPrice);                  // 金額（税抜）
                 strcmd.AppendFormat(",EntryPriceInTax = {0}", data.EntryPriceInTax);        // 金額（税込）
@@ -471,5 +471,41 @@
             return iRet;
         }
         #endregion
+
+        #region 最大伝票ナンバー取得
+        /// <summary>
+        /// 最大伝票ナンバー取得
+        /// </summary>
+        public int SelectMaxSlipNumber(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            StringBuilder strcmd = new StringBuilder();
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd.AppendFormat("SELECT IFNULL(MAX(SlipNumber), 0) FROM CostDataOfPerson{0}", AddSQLString);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals("null"))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+            }
+            return iRet;
+        }
+        #endregion
     }
 }
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostomerRegist.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostomerRegist.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostomerRegist.cs	(revision 484)
@@ -77,42 +77,66 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("CreateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE({0}) As {1}", strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 発注者登録申請データ検索SQL作成
         /// <summary>
         /// 発注者登録申請データ検索作成
         /// </summary>
-        /// <param name="AddSQLString">検索条件SQL文字列</param>
-        /// <param name="data">発注者登録申請データデータ</param>
-        /// <returns>true：成功 false：失敗</returns>
         private string CreateSelectSQL()
         {
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM CostomerRegist", CreateFieldNameList());
 
-            bool bColFirst = true;
-            string strWork = string.Empty;
-            foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
             {
-                strWork = gender.ToString();
-                if (!bColFirst) strcmd.Append(",");
-                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
-                }
-                else if (strWork.Equals("CreateDate"))
-                {
-                    strcmd.AppendFormat(" DATE({0})", strWork);
-                }
-                else
-                {
-                    strcmd.AppendFormat(" {0}", strWork);
-                }
-                bColFirst = false;
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
             }
-
-            strcmd.Append(" FROM CostomerRegist");
-
-            return strcmd.ToString();
         }
         #endregion
 
@@ -229,25 +253,25 @@
                 strcmd.AppendFormat(", {0}", work.SourceCode);
                 strcmd.AppendFormat(", {0}", work.PetitionPeriod);
                 strcmd.AppendFormat(", {0}", work.OrderFlg);
-                strcmd.AppendFormat(", '{0}'", work.CorporateStatusName);
+                strcmd.AppendFormat(", {0}", SeparateString(work.CorporateStatusName));
                 strcmd.AppendFormat(", {0}", work.CorporateStatusPoint);
-                strcmd.AppendFormat(", '{0}'", work.OrderersName1);
-                strcmd.AppendFormat(", '{0}'", work.OrderersName2);
-                strcmd.AppendFormat(", '{0}'", work.DepartmentName);
-                strcmd.AppendFormat(", '{0}'", work.PersonName);
-                strcmd.AppendFormat(", '{0}'", work.ZipCode);
-                strcmd.AppendFormat(", '{0}'", work.Address1);
-                strcmd.AppendFormat(", '{0}'", work.Address2);
-                strcmd.AppendFormat(", '{0}'", work.Address3);
-                strcmd.AppendFormat(", '{0}'", work.PhoneNumber);
-                strcmd.AppendFormat(", '{0}'", work.FaxNumber);
-                strcmd.AppendFormat(", '{0}'", work.MailAddress);
-                strcmd.AppendFormat(", '{0}'", work.Note);
+                strcmd.AppendFormat(",  {0}", SeparateString(work.OrderersName1));
+                strcmd.AppendFormat(",  {0}", SeparateString(work.OrderersName2));
+                strcmd.AppendFormat(",  {0}", SeparateString(work.DepartmentName));
+                strcmd.AppendFormat(",  {0}", SeparateString(work.PersonName));
+                strcmd.AppendFormat(",  {0}", SeparateString(work.ZipCode));
+                strcmd.AppendFormat(",  {0}", SeparateString(work.Address1));
+                strcmd.AppendFormat(",  {0}", SeparateString(work.Address2));
+                strcmd.AppendFormat(",  {0}", SeparateString(work.Address3));
+                strcmd.AppendFormat(",  {0}", SeparateString(work.PhoneNumber));
+                strcmd.AppendFormat(",  {0}", SeparateString(work.FaxNumber));
+                strcmd.AppendFormat(",  {0}", SeparateString(work.MailAddress));
+                strcmd.AppendFormat(",  {0}", SeparateString(work.Note));
                 strcmd.AppendFormat(", {0}", work.OrderCotegory);
                 strcmd.AppendFormat(", {0}", work.OrderDate);
                 strcmd.AppendFormat(", {0}", work.OrderNo);
                 strcmd.AppendFormat(", {0}", work.CreateDepartmentCode);
-                strcmd.AppendFormat(", '{0}'", work.CreateDepartmentName);
+                strcmd.AppendFormat(", {0}", SeparateString(work.CreateDepartmentName));
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -301,25 +325,25 @@
                     strcmd.AppendFormat(", {0}", work.SourceCode);
                     strcmd.AppendFormat(", {0}", work.PetitionPeriod);
                     strcmd.AppendFormat(", {0}", work.OrderFlg);
-                    strcmd.AppendFormat(", '{0}'", work.CorporateStatusName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CorporateStatusName));
                     strcmd.AppendFormat(", {0}", work.CorporateStatusPoint);
-                    strcmd.AppendFormat(", '{0}'", work.OrderersName1);
-                    strcmd.AppendFormat(", '{0}'", work.OrderersName2);
-                    strcmd.AppendFormat(", '{0}'", work.DepartmentName);
-                    strcmd.AppendFormat(", '{0}'", work.PersonName);
-                    strcmd.AppendFormat(", '{0}'", work.ZipCode);
-                    strcmd.AppendFormat(", '{0}'", work.Address1);
-                    strcmd.AppendFormat(", '{0}'", work.Address2);
-                    strcmd.AppendFormat(", '{0}'", work.Address3);
-                    strcmd.AppendFormat(", '{0}'", work.PhoneNumber);
-                    strcmd.AppendFormat(", '{0}'", work.FaxNumber);
-                    strcmd.AppendFormat(", '{0}'", work.MailAddress);
-                    strcmd.AppendFormat(", '{0}'", work.Note);
+                    strcmd.AppendFormat(",  {0}", SeparateString(work.OrderersName1));
+                    strcmd.AppendFormat(",  {0}", SeparateString(work.OrderersName2));
+                    strcmd.AppendFormat(",  {0}", SeparateString(work.DepartmentName));
+                    strcmd.AppendFormat(",  {0}", SeparateString(work.PersonName));
+                    strcmd.AppendFormat(",  {0}", SeparateString(work.ZipCode));
+                    strcmd.AppendFormat(",  {0}", SeparateString(work.Address1));
+                    strcmd.AppendFormat(",  {0}", SeparateString(work.Address2));
+                    strcmd.AppendFormat(",  {0}", SeparateString(work.Address3));
+                    strcmd.AppendFormat(",  {0}", SeparateString(work.PhoneNumber));
+                    strcmd.AppendFormat(",  {0}", SeparateString(work.FaxNumber));
+                    strcmd.AppendFormat(",  {0}", SeparateString(work.MailAddress));
+                    strcmd.AppendFormat(",  {0}", SeparateString(work.Note));
                     strcmd.AppendFormat(", {0}", work.OrderCotegory);
                     strcmd.AppendFormat(", {0}", work.OrderDate);
                     strcmd.AppendFormat(", {0}", work.OrderNo);
                     strcmd.AppendFormat(", {0}", work.CreateDepartmentCode);
-                    strcmd.AppendFormat(", '{0}'", work.CreateDepartmentName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CreateDepartmentName));
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -365,25 +389,25 @@
                 strcmd.AppendFormat(", SourceCode = {0}", data.SourceCode);
                 strcmd.AppendFormat(", PetitionPeriod = {0}", data.PetitionPeriod);
                 strcmd.AppendFormat(", OrderFlg = {0}", data.OrderFlg);
-                strcmd.AppendFormat(", CorporateStatusName = '{0}'", data.CorporateStatusName);
+                strcmd.AppendFormat(", CorporateStatusName = {0}", SeparateString(data.CorporateStatusName));
                 strcmd.AppendFormat(", CorporateStatusPoint = {0}", data.CorporateStatusPoint);
-                strcmd.AppendFormat(", OrderersName1 = '{0}'", data.OrderersName1);
-                strcmd.AppendFormat(", OrderersName2 = '{0}'", data.OrderersName2);
-                strcmd.AppendFormat(", DepartmentName = '{0}'", data.DepartmentName);
-                strcmd.AppendFormat(", PersonName = '{0}'", data.PersonName);
-                strcmd.AppendFormat(", ZipCode = '{0}'", data.ZipCode);
-                strcmd.AppendFormat(", Address1 = '{0}'", data.Address1);
-                strcmd.AppendFormat(", Address2 = '{0}'", data.Address2);
-                strcmd.AppendFormat(", Address3 = '{0}'", data.Address3);
-                strcmd.AppendFormat(", PhoneNumber = '{0}'", data.PhoneNumber);
-                strcmd.AppendFormat(", FaxNumber = '{0}'", data.FaxNumber);
-                strcmd.AppendFormat(", MailAddress = '{0}'", data.MailAddress);
-                strcmd.AppendFormat(", Note = '{0}'", data.Note);
+                strcmd.AppendFormat(", OrderersName1 =  {0}", SeparateString(data.OrderersName1));
+                strcmd.AppendFormat(", OrderersName2 =  {0}", SeparateString(data.OrderersName2));
+                strcmd.AppendFormat(", DepartmentName =  {0}", SeparateString(data.DepartmentName));
+                strcmd.AppendFormat(", PersonName =  {0}", SeparateString(data.PersonName));
+                strcmd.AppendFormat(", ZipCode =  {0}", SeparateString(data.ZipCode));
+                strcmd.AppendFormat(", Address1 =  {0}", SeparateString(data.Address1));
+                strcmd.AppendFormat(", Address2 =  {0}", SeparateString(data.Address2));
+                strcmd.AppendFormat(", Address3 =  {0}", SeparateString(data.Address3));
+                strcmd.AppendFormat(", PhoneNumber =  {0}", SeparateString(data.PhoneNumber));
+                strcmd.AppendFormat(", FaxNumber =  {0}", SeparateString(data.FaxNumber));
+                strcmd.AppendFormat(", MailAddress =  {0}", SeparateString(data.MailAddress));
+                strcmd.AppendFormat(", Note =  {0}", SeparateString(data.Note));
                 strcmd.AppendFormat(", OrderCotegory = {0}", data.OrderCotegory);
                 strcmd.AppendFormat(", OrderDate = {0}", data.OrderDate);
                 strcmd.AppendFormat(", OrderNo = {0}", data.OrderNo);
-                strcmd.AppendFormat(", CreateDepartmentCode = '{0}'", data.CreateDepartmentCode);
-                strcmd.AppendFormat(", CreateDepartmentName = '{0}'", data.CreateDepartmentName);
+                strcmd.AppendFormat(", CreateDepartmentCode = {0}", data.CreateDepartmentCode);
+                strcmd.AppendFormat(", CreateDepartmentName = {0}", SeparateString(data.CreateDepartmentName));
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -467,46 +491,46 @@
                         strcmd.AppendFormat(" OrderFlg = {0}", (int)value);
                         break;
                     case (int)TableColumn.CorporateStatusName:
-                        strcmd.AppendFormat(" CorporateStatusName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CorporateStatusName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.CorporateStatusPoint:
-                        strcmd.AppendFormat(" CorporateStatusPoint = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CorporateStatusPoint = {0}", (int)value);
                         break;
                     case (int)TableColumn.OrderersName1:
-                        strcmd.AppendFormat(" OrderersName1 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" OrderersName1 =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.OrderersName2:
-                        strcmd.AppendFormat(" OrderersName2 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" OrderersName2 =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.DepartmentName:
-                        strcmd.AppendFormat(" DepartmentName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" DepartmentName =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.PersonName:
-                        strcmd.AppendFormat(" PersonName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" PersonName =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.ZipCode:
-                        strcmd.AppendFormat(" ZipCode = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ZipCode =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.Address1:
-                        strcmd.AppendFormat(" Address1 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Address1 =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.Address2:
-                        strcmd.AppendFormat(" Address2 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Address2 =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.Address3:
-                        strcmd.AppendFormat(" Address3 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Address3 =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.PhoneNumber:
-                        strcmd.AppendFormat(" PhoneNumber = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" PhoneNumber =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.FaxNumber:
-                        strcmd.AppendFormat(" FaxNumber = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" FaxNumber =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.MailAddress:
-                        strcmd.AppendFormat(" MailAddress = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" MailAddress =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.Note:
-                        strcmd.AppendFormat(" Note = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Note =  {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.OrderCotegory:
                         strcmd.AppendFormat(" OrderCotegory = {0}", (int)value);
